App\Entity\AchatConsignation:
    type: entity
    table: achat_consignation
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        numConsignation:
            type: string
            length: 255
            fixed: false
            nullable: true
        nbrColis:
            type: integer
            nullable: true
        fraisLivraison:
            type: float
            nullable: true
        dateLivraison:
            type: datetime
            nullable: true
        dateReception:
            type: datetime
            nullable: true
        scanBonLivraison:
            type: string
            length: 255
            fixed: false
            nullable: true
        note:
            type: text
            nullable: true
    oneToMany:
        consignations:
            targetEntity: AchatConsignationProduit
            mappedBy: achatConsignation
            cascade: [persist]
            orphanRemoval: true
    manyToOne:
        achat:
            targetEntity: Achat
            cascade: {  }
            mappedBy: null
            inversedBy: consignations
            joinColumns:
                achat_id:
                    referencedColumnName: id
            orphanRemoval: false